# !! please sync memprof.spec BuildPrereq version when binutils' version up
%define __libtoolize :
%global momorel 3

Summary: A GNU collection of binary utilities.
Name: binutils
Version: 2.17.50.0.17
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://sources.redhat.com/binutils/
Source: ftp://ftp.kernel.org/pub/linux/devel/binutils/binutils-%{version}.tar.bz2
NoSource: 0
Patch1: binutils-2.17.50.0.17-ltconfig-multilib.patch
Patch2: binutils-2.17.50.0.17-ppc64-pie.patch
Patch3: binutils-2.17.50.0.17-place-orphan.patch
Patch4: binutils-2.17.50.0.17-ia64-lib64.patch
Patch5: binutils-2.17.50.0.17-standards.patch
Patch6: binutils-2.17.50.0.17-build-fixes.patch
Patch7: binutils-2.17.50.0.17-symbolic-envvar-revert.patch
Patch8: binutils-2.17.50.0.17-version.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: texinfo >= 4.2, dejagnu, gettext, flex, bison
Conflicts: gcc-c++ < 4.0.0
Prereq: info
%ifarch ia64
Obsoletes: gnupro
%endif

%define _gnu %{nil}

%description
Binutils is a collection of binary utilities, including ar (for
creating, modifying and extracting from archives), as (a family of GNU
assemblers), gprof (for displaying call graph profile data), ld (the
GNU linker), nm (for listing symbols from object files), objcopy (for
copying and translating object files), objdump (for displaying
information from object files), ranlib (for generating an index for
the contents of an archive), size (for listing the section sizes of an
object or archive file), strings (for listing printable strings from
files), strip (for discarding symbols), and addr2line (for converting
addresses to file and line).

%package devel
Summary: A GNU collection of binary utilities.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Conflicts: binutils < 2.17.50.0.3-4
Prereq: /sbin/install-info

%description devel
This package contains BFD and opcodes static libraries and associated
header files.  Only *.a libraries are included, because BFD doesn't
have a stable ABI.  Developers starting new projects are strongly encouraged
to consider using libelf instead of BFD.

%prep
%setup -q
%patch1 -p0 -b .ltconfig-multilib~
%patch2 -p0 -b .ppc64-pie~
%patch3 -p0 -b .place-orphan~
%ifarch ia64
%if "%{_lib}" == "lib64"
%patch4 -p0 -b .ia64-lib64~
%endif
%endif
%patch5 -p0 -b .standards~
%patch6 -p0 -b .build-fixes~
%patch7 -p0 -b .symbolic-envvar-revert~
%patch8 -p0 -b .version~

# On ppc64 we might use 64K pages
sed -i -e '/#define.*ELF_COMMONPAGESIZE/s/0x1000$/0x10000/' bfd/elf*ppc.c
# LTP sucks
perl -pi -e 's/i\[3-7\]86/i[34567]86/g' */conf*
sed -i -e 's/%''{release}/%{momorel}/g' bfd/Makefile{.am,.in}
sed -i -e '/^libopcodes_la_\(DEPENDENCIES\|LIBADD\)/s,$, ../bfd/libbfd.la,' opcodes/Makefile.{am,in}
# Build libbfd.so and libopcodes.so with -Bsymbolic-functions if possible.
if gcc %{optflags} -v --help 2>&1 | grep -q -- -Bsymbolic-functions; then
sed -i -e 's/^libbfd_la_LDFLAGS = /&-Wl,-Bsymbolic-functions /' bfd/Makefile.{am,in}
sed -i -e 's/^libopcodes_la_LDFLAGS = /&-Wl,-Bsymbolic-functions /' opcodes/Makefile.{am,in}
fi
touch */configure

%build
mkdir build-%{_target_platform}
cd build-%{_target_platform}
CARGS=
%ifarch sparc ppc s390
CARGS=--enable-64-bit-bfd
%endif
%ifarch ia64
CARGS=--enable-targets=i386-linux
%endif
CC="gcc -L`pwd`/bfd/.libs/" CFLAGS="${CFLAGS:-%optflags}" ../configure \
  %{_target_platform} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} \
  --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
  --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} \
  --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} \
  --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
  --infodir=%{_infodir} --enable-shared $CARGS --disable-werror
make %{_smp_mflags} tooldir=%{_prefix} all
make %{_smp_mflags} tooldir=%{_prefix} info
make -k check < /dev/null > check.log 2>&1 || :
echo ====================TESTING=========================
cat check.log
echo ====================TESTING END=====================
cd ..

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_prefix}
cd build-%{_target_platform}
%append _makeinstall_target install-info
%makeinstall

# Rebuild libiberty.a with -fPIC
make -C libiberty clean
make CFLAGS="-g -fPIC $RPM_OPT_FLAGS" -C libiberty

# Install libiberty.a
%__install -m 644 libiberty/libiberty.a %{buildroot}%{_libdir}
%__install -m 644 ../include/libiberty.h %{buildroot}%{_includedir}
# Remove Windows/Novell only man pages
rm -f %{buildroot}%{_mandir}/man1/{dlltool,nlmconv,windres}*

%__chmod +x %{buildroot}%{_libdir}/lib*.so*

# Prevent programs to link against libbfd and libopcodes dynamically,
# they are changing far too often
rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.so

# Remove libtool files, which reference the .so libs
rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.la

# This one comes from gcc
rm -f %{buildroot}%{_infodir}/dir
rm -rf %{buildroot}%{_prefix}/%{_target_platform}

%ifarch %{ix86} x86_64 ppc ppc64 s390 s390x sparc sparc64
sed -i -e '/^#include "ansidecl.h"/{p;s~^.*$~#include <bits/wordsize.h>~;}' \
%ifarch %{ix86} x86_64
    -e 's/^#define BFD_ARCH_SIZE \(32\|64\) *$/#define BFD_ARCH_SIZE __WORDSIZE/' \
%endif
    -e 's/^#define BFD_DEFAULT_TARGET_SIZE \(32\|64\) *$/#define BFD_DEFAULT_TARGET_SIZE __WORDSIZE/' \
    -e 's/^#define BFD_HOST_64BIT_LONG [01] *$/#define BFD_HOST_64BIT_LONG (__WORDSIZE == 64)/' \
    -e 's/^#define BFD_HOST_64_BIT \(long \)\?long *$/#if __WORDSIZE == 32\
#define BFD_HOST_64_BIT long long\
#else\
#define BFD_HOST_64_BIT long\
#endif/' \
    -e 's/^#define BFD_HOST_U_64_BIT unsigned \(long \)\?long *$/#define BFD_HOST_U_64_BIT unsigned BFD_HOST_64_BIT/' \
    %{buildroot}%{_prefix}/include/bfd.h
%endif
touch -r ../bfd/bfd-in2.h %{buildroot}%{_prefix}/include/bfd.h

cd ..
%find_lang binutils
%find_lang opcodes
%find_lang bfd
%find_lang gas
%find_lang ld
%find_lang gprof
cat opcodes.lang >> binutils.lang
cat bfd.lang >> binutils.lang
cat gas.lang >> binutils.lang
cat ld.lang >> binutils.lang
cat gprof.lang >> binutils.lang

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/as.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/binutils.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gprof.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ld.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/standards.info
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/configure.info

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/as.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/binutils.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gprof.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ld.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/standards.info
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/configure.info
fi

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/bfd.info.bz2

%preun devel
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/bfd.info.bz2
fi

%files -f binutils.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_libdir}/lib*.so
%{_mandir}/man1/*
%{_infodir}/[^b]*info*
%{_infodir}/binutils*info*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_includedir}/*
%{_libdir}/lib*.a
%{_infodir}/bfd*info*

%changelog
* Fri Jul  6 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.17.50.0.17-3m)
- fix %%{release} file name

* Tue Jul  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.17-2m)
- import Fedora patch(2.17.50.0.17-1)

* Fri Jun 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.17-1m)
- update 2.17.50.0.17

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.16-1m)
- update 2.17.50.0.16

* Wed Mar 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.12-2m)
- add Patch8: binutils-2.17.50.0.12-osabi.patch

* Mon Mar 12 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.17.50.0.12-1m)
- update 2.17.50.0.12

* Sat Jan 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.9-1m)
- update 2.17.50.0.9

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.17.50.0.8-3m)
- --enable-64-bit-bfd for ppc, sparc

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.8-2m)
- add patch
-- * Sat Dec 23 2006 Jakub Jelinek <jakub@redhat.com> 2.17.50.0.8-2
-- - fix --as-needed on ppc64 (#219629)

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.8-1m)
- update 2.17.50.0.8

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.3-3m)
- merge from TUPPA4RI branch

* Sat Oct  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.3-2m)
- merge from trunk
-- * Fri Sep 29 2006 Masayuki SANO <nosanosa@momonga-linux.org>
-- - (2.17-2m)
-- - added demangle.h to the package (it is needed to use some functions in libiberty.a)

* Fri Sep  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17.50.0.3-1m)
- update 2.17.50.0.3

* Tue Aug 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17-2m)
- add binutils-hash-style.patch(Patch100)
-- support DT_GNU_HASH

* Wed Jun 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.17-1m)
- update 2.17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.94-1m)
- update 2.16.94

* Thu May 25 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.16.91.0.6-3m)
- [SECURITY] CVE-2006-2362
- add Patch11: binutils-2.16.91.0.6-pr2584.patch

* Thu Mar  9 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.91.0.6-2m)
- sync FC-devel 

* Wed Feb 15 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.16.91.0.6-1m)
- update 2.16.91.0.6

* Sun Feb 12 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.16.91.0.5-2m)
- fix for ppc64 biarch.

* Tue Jan 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.91.0.5-1m)
- update 2.16.91.0.5

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.91.0.3-1m)
- update 2.16.91.0.3
- (sync with Fedora 2.16.91.0.3-2)

* Tue Oct 18 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.16.91.0.2-1m)
- version up (sync with Fedora 2.16.91.0.2-4)

* Sun Jul 17 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.15.92.0.2-4m)
- maki modosi 2.15.92.0.2
- because build error any packages.

* Mon Jun 20 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.90.0.3-3m)
- add binutils-relocate-section.patch . Because build error gcc4.

* Sat Jun 18 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.90.0.3-2m)
- import Fedora-devel patchs(2.16.90.0.3-1)

* Mon May 23 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.90.0.3-1m)
- update 2.16.90.0.3

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.15.92.0.2-3m)
- remove cygwin-cross patch

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.15.92.0.2-2m)
- fix for x86_64 -m32 library.
  - another cpu's cross-compile is not work.... fixme.

* Sat Feb  5 2005 Toru Hoshina <tmomonga-linux.org>
- (2.15.92.0.2-1m)
- ver up.

* Thu Sep  9 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.15.90.0.3-1m)
- version down since version 2.15.91 is very unstable

* Fri Sep  3 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.15.91.0.2-3m)
- revive --enable-64-bit-bfd

* Thu Sep 02 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.15.91.0.2-2.1m)
- revive --enable-64-bit-bfd at configure 
  for avoid ld said "Value too large for defined data type" and exit

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.15.91.0.2-2m)
- add patches from Fedora (2.15.91.0.2-8)
- * Wed Aug 16 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-8
- - fix linker segfaults on input objects with SHF_LINK_ORDER with
-   incorrect sh_link (H.J.Lu, Nick Clifton, #130198, BZ #290)
- 
- * Wed Aug 16 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-7
- - resolve all undefined ppc64 .* syms to the function bodies through
-   .opd, not just those used in brach instructions (Alan Modra)
- 
- * Tue Aug 16 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-6
- - fix ppc64 ld --dotsyms (Alan Modra)
- 
- * Tue Aug 16 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-5
- - various ppc64 make check fixes when using non-dot-syms gcc (Alan Modra)
- - fix --gc-sections
- - on ia64 create empty .gnu.linkonce.ia64unw*.* sections for
-   .gnu.linkonce.t.* function doesn't need unwind info
- 
- * Mon Aug 16 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-4
- - kill ppc64 dot symbols (Alan Modra)
- - objdump -d support for objects without dot symbols
- - support for overlapping ppc64 .opd entries
- 
- * Mon Aug 9 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-3
- - fix a newly introduced linker crash on x86-64
- 
- * Sun Aug 8 2004 Alan Cox <alan@redhat.com> 2.15.91.0.2-2
- - BuildRequire bison and macroise buildroot - from Steve Grubb
- 
- * Fri Jul 30 2004 Jakub Jelinek <jakub@redhat.com> 2.15.91.0.2-1
- - update to 2.15.91.0.2
- - BuildRequire flex (#117763)

* Tue Aug 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.15.91.0.2-1m)
- version up
- disable 64-bit-bfd because it causes "Not enough room for program headers" error on ld
- cancel "rm -f c++filt" (gcc-3.4.1 does not contain it)

* Mon Mar 22 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.14.90.0.7-4m)
- install libiberty.info and as.info
- install-info as.info again.

* Mon Mar 22 2004 TAKAHASHI Tamotsu <tamo>
- (2.14.90.0.7-4m)
- comment out "install-info as.info"
 because as.info.bz2 is not installed

* Sat Mar 20 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.14.90.0.7-3m)
- change docdir %%defattr

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.14.90.0.7-2m)
- revised spec for enabling rpm 4.2.

* Thu Nov 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.7-1m)
- version up to 2.14.90.0.7
- update patch6 sparc-cfi.patch
- comment out patch7, included and changed
- tmp comment out patch8, many changes...
- tmp comment out patch10, mendoi

* Fri Oct 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.14.90.0.6-1m)
- version up to 2.14.90.0.6.
- split devel package.
-
-* Tue Sep 30 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-3
-- don't abort on some linker warnings/errors on IA-64
-
-* Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-2
-- fix up merge2.s to use .p2align instead of .align
-
-* Sat Sep 20 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.6-1
-- update to 2.14.90.0.6
-- speed up string merging (Lars Knoll, Michael Matz, Alan Modra)
-- speed up IA-64 local symbol handling during linking
-
-* Fri Sep  5 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-7
-- avoid ld -s segfaults introduced in 2.14.90.0.5-5 (Dmitry V. Levin,
-  #103180)
-
-* Fri Aug 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-6
-- build old demangler into libiberty.a (#102268)
-- SPARC .cfi* support
-
-* Tue Aug  5 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-5
-- fix orphan section placement
-
-* Tue Jul 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-4
-- fix ppc64 elfvsb linker tests
-- some more 64-bit cleanliness fixes, give ppc64 fdesc symbols
-  type and size (Alan Modra)
-
-* Tue Jul 29 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-3
-- fix 64-bit unclean code in ppc-opc.c
-
-* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-2
-- fix 64-bit unclean code in tc-ppc.c
-
-* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2.14.90.0.5-1
-- update to 2.14.90.0.5
-- fix ld -r on ppc64 (Alan Modra)

* Thu Oct 23 2003 Kenta MURATA <muraken2@nifty.com>
- (2.14.90.0.4-4m)
- default enable 64-bit-bfd.

* Sun Oct 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.4-3m)
- add --enable-targets=all at configure

* Wed Oct  1 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.14.90.0.4-2m)
- remove binutils-2.13.90.0.4-glibc21.patch
- update sparc-nonpic patch
- remove binutils-2.13.90.0.18-compatsym.patch
- sync with RawHide(binutils-2.14.90.0.4-7)
- fix libbfd.la and libopcodes.la

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.14.90.0.4-1m)
  update to 2.14.90.0.4

* Wed May 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.13.90.0.20-2m)
- rewind
- revise %%post and %%preun (.info.* -> .info)

* Sun May 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.90.0.1-1m)
- update to 2.14.90.0.1
- update Patch103: binutils-2.14.90.0.1-eh-frame-ro.patch

* Thu Apr 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.20-1m)
- update to 2.13.90.0.20
- delete patch2
- delete patch100
- delete patch106
- delete patch107
- delete patch108
- delete patch109
- delete patch110

* Tue Feb 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.18-2m)
- apply patches from rawhide 2.13.90.0.18-2
- delete rawhide's Patch102: binutils-2.13.90.0.18-ia64-brl.patch
  because this patch was same Patch2: binutils-2.13.90.0.10-ia64-brl.patch
- update momonga Patch1: binutils-2.11.93.0.2-sparc-nonpic.patch
  by rawhide's Patch101: binutils-2.13.90.0.18-sparc-nonpic.patch
- rawhide's changelog is below
- * Sun Feb 09 2003 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.18-2
- - fix SEARCH_DIR on x86_64/s390x
- - fix Alpha --relax
- - create DT_RELA{,SZ,ENT} on s390 even if there is just .rela.plt
-   and no .rela.dyn section
- - support IA-32 on IA-64 (#83752)
- - .eh_frame_hdr fix (Andreas Schwab)
- 
- * Thu Feb 06 2003 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.18-1
- - update to 2.13.90.0.18 + 20030121->20030206 CVS diff

* Sun Feb 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.18-1m)
- update to 2.13.90.0.18
- delete included patches
-  Patch3: binutils-2.13.90.0.16-rodata-cst.patch
-  Patch5: binutils-2.13.90.0.16-ppc-apuinfo.patch
-  Patch6: binutils-2.13.90.0.16-stt_tls.patch
-  Patch8: binutils-2.13.90.0.16-tls-strip.patch
- ? Patch4: binutils-2.13.90.0.16-eh-frame-ro.patch
- ? Patch7: binutils-2.13.90.0.16-ia64-bootstrap.patch

* Wed Jan 22 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.13.90.0.16-2m)
- more sync with binutils-2.13.90.0.16-3(rawhide).
  add --enable-64-bit-bfd to configure if target arch is sparc ppc s390

* Sun Dec 15 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.13.90.0.16-1m)
- update to 2.13.90.0.16
- add Patch from 2.13.90.0.16-3vl2 from rawhide
- comment out Patch1 (binutils-2.13.90.0.16-oformat.patch)
- comment out Patch5 (binutils-2.13.90.0.10-biarch.patch)
- comment out included tarball Patch6 (binutils-2.13.90.0.10-alpha.patch)

* Fri Nov 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.10-2m)
- import patches from rawhide (2.13.90.0.10-3).
  imported patches are 
    o binutils-2.13.90.0.10-ia64-brl.patch
    o binutils-2.13.90.0.10-biarch.patch
    o binutils-2.13.90.0.10-alpha.patch
  and, here is the corresponding changelog from rawhide
  (changes I did not import are deleted):

  * Wed Oct 23 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-3
  - fix names and content of alpha non-alloced .rela.* sections (#76583)

  * Tue Oct 15 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-2
  - enable s390x resp. s390 emulation in linker too

  * Mon Oct 14 2002 Jakub Jelinek <jakub@redhat.com> 2.13.90.0.10-1
  - update to 2.13.90.0.10
  - add a bi-arch patch for sparc/s390/x86_64

* Sat Oct 12 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.10-1m)
- update to 2.13.90.0.10

* Fri Aug 16 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.4-1m)
- update to 2.13.90.0.4
- remake Patch1 for 2.13.90.0.4

* Thu Aug 15 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.13.90.0.3-1m)
- update to 2.13.90.0.3
- add BuildPrereq: byacc, flex

* Wed Aug  7 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.13.90.0.2-1m)
  update to 2.13.90.0.2

* Wed Jul 24 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.12.90.0.9-1m)
  update to 2.12.90.0.9

* Thu May 30 2002 Toru Hoshina <t@kondara.org>
- (2.12.90.0.7-4k)
- no gasp.info.

* Tue May 21 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.12.90.0.7-3k)
- update to 2.12.90.0.7

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.12-2k)
- update to 2.12

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.11.92.0.10-4k)
- just rebuild for .la fix

* Sat Nov  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.11.92.0.10-2k)
- update to 2.11.92.0.10

* Wed Oct 24 2001 Toru Hoshina <t@kondara.org>
- (2.11.90.0.31-4k)

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (2.11.90.0.31-2k)
- merge from Jirai!!
- DO NOT REMOVE libiberty.a

* Mon Sep 18 2001 Motonobu Ichimura <famao@kondara.org>
- (2.11.90.0.31-3k)
- up to 2.11.90.0.31

* Mon Jul 09 2001 Kusunoki Masanori <nori@kondara.org>
- (2.11.2-5k)
- up to 2.11.2
- remove libiberty.a because conflict gcc
- remove libiberty.h

* Tue Nov 21 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- spec's bug fix

* Mon Nov 20 2000 Takaaki Tabuchi <tab@kondara.org>
- (2.10.0.33-1k)
- update to 2.10.0.33
- change source URI from .bz2 to .gz

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Jul 24 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.18

* Mon Jul 10 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.12

* Mon Jun 26 2000 Jakub Jelinek <jakub@redhat.com>
- 2.10.0.9

* Thu Jun 15 2000 Jakub Jelinek <jakub@redhat.com>
- fix ld -r

* Mon Jun  5 2000 Jakub Jelinek <jakub@redhat.com>
- 2.9.5.0.46
- use _mandir/_infodir/_lib

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.41

* Wed Apr 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.34

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.31

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- apply kingdon's patch from #5031

* Wed Jan 19 2000 Jeff Johnson <jbj@redhat.com>
- Permit package to be built with a prefix other than /usr.

* Thu Jan 13 2000 Cristian Gafton <gafton@redhat.com>
- add pacth from hjl to fix the versioning problems in ld

* Tue Jan 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add sparc patches from Jakub Jelinek <jakub@redhat.com>
- Add URL:

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.22

* Wed Nov 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.19

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9.5.0.16

* Mon Sep 06 1999 Jakub Jelinek <jj@ultra.linux.cz>
- make shared non-pic libraries work on sparc with glibc 2.1.

* Fri Aug 27 1999 Jim Kingdon
- No source/spec changes, just rebuilding with egcs-1.1.2-18 because
  the older egcs was miscompling gprof.

* Mon Apr 26 1999 Cristian Gafton <gafton@redhat.com>
- back out very *stupid* sparc patch done by HJLu. People, keep out of
  things you don't understand.
- add alpha relax patch from rth

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- version  2.9.1.0.23
- patch to make texinfo documentation compile
- auto rebuild in the new build environment (release 2)

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.21
- merged with UltraPenguin

* Mon Jan 04 1999 Cristian Gafton <gafton@redhat.com>
- added ARM patch from philb
- version 2.9.1.0.19a
- added a patch to allow arm* arch to be identified as an ARM

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.14.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.13.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.12

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.7.

* Wed Jun 03 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.6.

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added patch from rth to get right offsets for sections in relocateable
  objects on sparc32

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- version 2.9.1.0.4 is out; even more, it is public !

* Tue May 05 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.3.

* Mon Apr 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.0.3

* Tue Apr 14 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.9.0.2

* Sun Apr 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.29 (HJ warned me that this thing is a moving target...
  :-)
- "fixed" the damn make install command so that all tools get installed

* Thu Apr 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded again to 2.8.1.0.28 (at least on alpha now egcs will compile)
- added info packages handling

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8.1.0.23

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.15 (required to compile the newer glibc)
- all patches are obsoleted now

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added 2.8.1.0.1 patch from hj
- added patch for alpha palcode form rth
